@ECHO OFF
REM PQCVT.BAT -- Convert old image files to Drive Image image files
REM Arguments:
REM  1-Ghost EXE path,       2-Old image file path,
REM  3-Drive Image EXE path, 4-New image file path,
REM  5-Scratch Drive Number (1-First, 2-Second, etc)
REM
if %1a==a goto error3
if %2a==a goto error3
if %3a==a goto error3
if %4a==a goto error3
if %5a==a goto error3
ECHO Processing image file %1.
%1\GHOST.EXE -clone,mode=load,src=%2,dst=%5 -sure -fx -quiet
if errorlevel 1 goto error1
%3\PQDI.EXE /cmd=store_all /img=%4 /dsk=%5
if errorlevel 1 goto error2
goto done
:error1
ECHO Error during image RESTORATION.
goto done
:error2
ECHO Error during image CREATION.
goto done
:error3
ECHO Error missing argument(s). --%1, %2, %3, %4, %5--
:done
